# Import file "Workflow - Importing from Sketch - PDF layers"
sketch = Framer.Importer.load("imported/Workflow - Importing from Sketch - PDF layers@2x", scale: 1)


# speedier animations
Framer.Defaults.Animation =
	time: .4


# a dark overlay to cover the other icons when zooming in
darkOverlay = new Layer
	backgroundColor: "rgba(0, 0, 0, 0)" # transparent
	width: Screen.width
	height: Screen.height

darkOverlay.states.zoomedin =
	backgroundColor: "rgba(0, 0, 0, 0.7)" # 70% opacity


for layer in sketch.iPhone_7.subLayers
	# a zoomed in state for every layer
	layer.states.zoomedin =
		width: layer.width * 4.5
		height: layer.height * 4.5
		x: ( Screen.width - (layer.width * 4.5) ) / 2
		y: 200
	
	layer.onTap ->
		if this.states.current.name isnt "zoomedin"
			# place icon temporarely in darkOverlay,
			# so that it’s on top of all others
			this.parent = darkOverlay
			# enlarge the icon
			this.animate "zoomedin"
			# darken the overlay
			darkOverlay.animate "zoomedin"
			# let overlay catch events, so that
			# other icons cannot be tapped on
			darkOverlay.ignoreEvents = no
		else
			# set everything back to defaults
			this.animate "default"
			darkOverlay.animate "default"
			darkOverlay.ignoreEvents = yes
			this.parent = sketch.iPhone_7

# We made changes to ALL iPhone_7’s sublayers above,
# that’s why have to make these 3 NOT react to taps
sketch.Background.ignoreEvents = yes
sketch.Status_Bar.ignoreEvents = yes
sketch.Dock.ignoreEvents = yes
